export class Transform {
    static parse(transformString) {
        const transform = new Transform();
        const functions = transformString.match(/(\w+\((\-?\d+\.?\d*e?\-?\w*(,|, )?)+\))+/g);
        for (const fn of functions) {
            const segments = fn.match(/[\w\.\-]+/g);
            transform[segments.shift()] = segments;
        }
        return transform;
    }
    toString() {
        let str = '';
        for (const key of Object.keys(this)) {
            const values = this[key];
            str += `${key}(${values.join(',')}) `;
        }
        return str;
    }
}
//# sourceMappingURL=transform.js.map